import { AfterContentInit, EventEmitter, OnInit } from "@angular/core";
import { DateDisabled, DateCollection, Day } from './datepicker.models';
import { RxPickerComponent } from './rx-picker.component';
export declare class RxDatePickerComponent implements AfterContentInit, OnInit {
    dateComponent: RxPickerComponent;
    dayShortNames: Array<string>;
    monthsShort: string[];
    dateCollection: DateCollection;
    currentMonth: number;
    value: Date;
    weekStart: number;
    disableWeekDays: number[];
    highlightWeekDays: number[];
    datesDisabled: DateDisabled[];
    viewModeClick: EventEmitter<string>;
    constructor(dateComponent: RxPickerComponent);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    make(date: Date): void;
    changeViewMode(): void;
    nextMonth(date: Date): void;
    previousMonth(date: Date): void;
    show(date: Date): void;
    select(day: Day): void;
    private deSelect;
    isLeapYear(year: number): boolean;
    daysInMonth(year: any, month: any): number;
    utcDate(year: number, month: number, days: number): Date;
}
